Foreman - Bug #2405

Intermittent TFTPOrchestrationTest failures
04/17/2013 04:53 AM - Dominic Cleal

Status: Closed

Priority: Normal

Assignee: Dominic Cleal

Category: Tests

Target version: 1.2.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Intermittently one of the TFTP orchestration tests is failing, looks like a timeout:

test_generate_pxe_template_for_build(TFTPOrchestrationTest): E
test_generate_pxe_template_for_localboot (TFTPOrchestrationTest) :

test_host_should_have_tftp (TFTPOrchestrationTest) :

test_host_should_not_have_tftp (TFTPOrchestrationTest) :

test_the_truth (TaxableTaxonomyTest): /usr/local/rvm/gems/ruby-1.8.7-p371Qtest_develop-0/gems/ci_re
porter-1.8.4/1ib/ci/reporter/test_suite.rb:94:in “trunc!':

meout: :Error: execution expired&gt; (NoMethodError)

private method " sub'

called for #&lt;Ti

Associated revisions

Revision c6cd4b70 - 04/21/2013 10:10 AM - Dominic Cleal

fixes #2405 - disable DNS orchestration during TFTP tests, causing timeouts

History

#1 - 04/17/2013 06:24 AM - Dominic Cleal
- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/528

#2 - 04/21/2013 03:51 PM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset c6cd4b705f1d45d691b61d1fb0567f98ac1f41a8.
